# Uses of Class
org.jfree.chart3d.data.xyz.XYZDataItem

Packages that use XYZDataItem
Package
Description
org.jfree.chart3d.data.xyz
Datasets that can be used by the `XYZPlot` class.

## Uses of XYZDataItem in org.jfree.chart3d.data.xyz

Methods in org.jfree.chart3d.data.xyz that return types with arguments of type XYZDataItem
Modifier and Type
Method
Description
`List<XYZDataItem>`
XYZSeries.`getItems()`
Returns a list containing all the items for the dataset (a new list is created each time this method is called, so the list can be freely modified without affecting the state of this series).
Methods in org.jfree.chart3d.data.xyz with parameters of type XYZDataItem
Modifier and Type
Method
Description
`void`
XYZSeries.`add(XYZDataItem item)`
Adds a new data item to the series and sends a `Series3DChangeEvent` to all registered listeners.